<?php
class viewnotifikasi{
    var $id;
    
    function listnotifikasi($tujuan){
        $notifikasi = mysql_query("SELECT * FROM notifikasi WHERE id_user = $this->id AND tujuan = '$tujuan' ORDER BY id_notifikasi DESC");
        
        while ($n = mysql_fetch_array($notifikasi)){
            $data[$i] = array(
                        'isi' => $n[isi],    
                        'link' => $n[link],
                        'tanggal' => $n[tanggal]
                     );
            
            $i++;
        }
        
        return($data);
    }
    
    function listnotifikasibb($tujuan){
        $notifikasi = mysql_query("SELECT * FROM notifikasi WHERE id_user = $this->id AND tujuan = '$tujuan' AND baca = 'N' ORDER BY id_notifikasi DESC");
        
        while ($n = mysql_fetch_array($notifikasi)){
            $data[$i] = array(
                        'id' => $n[id_notifikasi],
                        'isi' => $n[isi],    
                        'link' => $n[link],
                        'tanggal' => $n[tanggal]
                     );
            
            $i++;
        }
        
        return($data);
    }
    
    function jmllist($tujuan){
        $notifikasi = mysql_query("SELECT COUNT(*) as jml FROM notifikasi WHERE id_user = $this->id AND tujuan = '$tujuan' AND baca = 'N'");
        $n = mysql_fetch_array($notifikasi);
        
        $data = $n[jml];
        
        return($data);
    }
            
    function addnotifikasi($id_user,$tujuan,$isi,$baca,$link,$tanggal){
        
        mysql_query("INSERT INTO notifikasi(    id_user,
                                                tujuan,
                                                isi,
                                                baca,
                                                link,
                                                tanggal) 
                                                VALUES(
                                                '$id_user',
                                                '$tujuan',
                                                '$isi',
                                                '$baca',
                                                '$link',
                                                '$tanggal')");
    }
    
    function editbaca($id){
        mysql_query("UPDATE notifikasi SET baca = 'Y' WHERE id_notifikasi = $id");
    }
}

